curl --request GET \
--url https://partners.crewpass.co.uk/api/v2/employers/me/crew/{crew_unique_id}/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://partners.crewpass.co.uk/api/v2/employers/me/crew/{crew_unique_id}/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.crewpass.co.uk/api/v2/employers/me/crew/{crew_unique_id}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"crew_unique_id": "<string>",
"name": "<string>",
"rank": "<string>",
"nationality": "<string>",
"languages": [
{
"language": "<string>",
"proficiency": "<string>"
}
],
"skills": [
"<string>"
],
"years_experience": "<string>",
"bio": "<string>",
"email": "<string>",
"phone": "<string>",
"country_code": "<string>",
"profile_photo_url": "<string>",
"employment_history": [
{
"vessel_name": "<string>",
"role": "<string>",
"started_at": "<string>",
"ended_at": "<string>",
"source": "<string>"
}
],
"full_profile": false,
"date_of_birth": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postcode": "<string>",
"full_address": "<string>"
},
"passport": {
"nationality": "<string>",
"number": "<string>",
"expiry": "<string>"
},
"visas": [
{
"type": "<string>",
"country": "<string>",
"expiry": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get a crew member's profile
A crew member’s profile, with a link to their photo.
Employment history and identity details (date of birth, address, passport
and visas) are included only when your key has crew:profile:full:read and
the crew member has agreed to share them. Returns 404 if the crew member is
not on one of your vessels.
Requires crew:profile:read.
Authorizations
Partner API key (cpk_live_* / cpk_test_*) as a Bearer token.
Headers
Your API key, as an alternative to the Authorization: Bearer header.
Path Parameters
Response
Successful Response
A crew member's profile.
employment_history and the identity details (date_of_birth, address,
passport, visas) are filled only when your key has
crew:profile:full:read and the crew member has agreed to share them. A
null identity field means CrewPass doesn't hold that detail.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes